<?php
/**
 * Plugin CISTYLE
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/cistyle_commun');

/**
 * Chargement du formulaire de choix de palette
 *
 * @return array
 *     Environnement du formulaire
 **/
function formulaires_cistyle_config_palette_charger_dist($page_retour='') {
    
	if (!autoriser('configurer', 'configuration')){
		return false;
        }
        
	// valeurs actuelles
        $palette = cistyle_palette($page_retour);
        
        $valeurs = array();
	$valeurs['palette'] = $palette;
    
	$valeurs['couleurs_palettes'] = cistyle_tableau_couleurs_palettes();

        // compatibilite
        if (!$page_retour AND defined('_DIR_PLUGIN_CIBLOC')){
            $page_retour = 'configurer_cibloc';
        }
        
        $valeurs['page_retour'] = $page_retour;
        
	return $valeurs;
}

/**
 * Traitements du formulaire de choix de palette
 *
 * @return array
 *     Retours des traitements
 **/
function formulaires_cistyle_config_palette_traiter_dist($page_retour='') {
        refuser_traiter_formulaire_ajax();

        $res = array();
        $valeurs_futures = array();
        $palette = intval(_request('palette'));
        
	if ($palette>0 
                AND $palette != cistyle_palette($page_retour)
                AND $palette<=count(cistyle_tableau_couleurs_palettes())+1) {
                
                $nom = 'palette';
                $valeurs_futures['valeur'] = $palette;
            
                $row = sql_fetsel('*', "spip_cistyle_config","nom='".$nom."'");
                if ($row) {
                        sql_updateq("spip_cistyle_config", $valeurs_futures, "nom='".$nom."'");
                } else {
                        $valeurs_futures['nom'] = $nom;
                        sql_insertq('spip_cistyle_config', $valeurs_futures);
                }
                
                if (defined('_DIR_PLUGIN_CIBLOC')) {
                    include_spip('inc/cibloc_commun');
                    include_spip('inc/invalideur');
                    suivre_invalideur("1");
                    cibloc_purger_cache_css();
                }
                if (defined('_DIR_PLUGIN_CIWIDGET')) {
                    include_spip('inc/widget_commun');
                    ciwidget_purger_cache_css();
                    include_spip('inc/invalideur');
                    suivre_invalideur("1");
                }
                
	}

	$res['message_ok'] = _T('config_info_enregistree');
	$res['editable'] = true;
	$res['redirect'] = self();
        
	return $res;
}
